Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1400233 - maria-devel Requires: openssl-devel
Summary: maria-devel Requires: openssl-devel
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mariadb
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1400231
Blocks: 1400196
TreeView+ depends on / blocked
 
Reported: 2016-11-30 17:36 UTC by Rex Dieter
Modified: 2016-12-13 23:11 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-13 23:11:14 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Rex Dieter 2016-11-30 17:36:17 UTC
Currently, mariadb-devel includes
Requires: openssl-devel

despite itself being built using compat-openssl10-devel, and due to bug #1400231 that openssl-devel and compat-openssl10-devel currently conflict, means anything depending on mariadb-devel to build has to choose one or the other.

My initial suggestion would be something like (unless you have a better idea)

diff --git a/mariadb.spec b/mariadb.spec
index 29e2700..76f5c29 100644
--- a/mariadb.spec
+++ b/mariadb.spec
@@ -124,7 +124,7 @@
 
 Name:             mariadb
 Version:          %{compatver}.%{bugfixver}
-Release:          5%{?with_debug:.debug}%{?dist}
+Release:          6%{?with_debug:.debug}%{?dist}
 Epoch:            3
 
 Summary:          A community developed branch of MySQL
@@ -451,7 +451,7 @@ or products (such as Excel), or data retrieved from the environment
 Summary:          Files for development of MariaDB/MySQL applications
 Group:            Applications/Databases
 %{?with_clibrary:Requires:         %{name}-libs%{?_isa} = %{sameevr}}
-Requires:         openssl-devel%{?_isa}
+Requires:         pkgconfig(openssl)
 %if %{with mysql_names}
 Provides:         mysql-devel = %{sameevr}
 Provides:         mysql-devel%{?_isa} = %{sameevr}
@@ -1334,6 +1334,9 @@ fi
 %endif
 
 %changelog
+* Wed Nov 30 2016 Rex Dieter <rdieter> - 3:10.1.19-6
+- -devel: use pkgconfig(openssl) to allow any implementation (like compat-openssl10)
+
 * Wed Nov 30 2016 Michal Schorm <mschorm> - 3:10.1.19-5
 - Testsuite blacklists heavily updated. Current tracker: #1399847

Comment 1 Rex Dieter 2016-11-30 18:03:01 UTC
Here's a scratch build with that applied,

http://koji.fedoraproject.org/koji/taskinfo?taskID=16683268

Comment 2 Honza Horak 2016-12-01 08:36:10 UTC
I think the proposed change makes sense. Let's do it as proposed.

Comment 3 Michal Schorm 2016-12-01 11:22:31 UTC
I have prepared the update and I'm testing it now.

Comment 5 Michal Schorm 2016-12-13 23:11:14 UTC
Both builds has been successfully pushed to the stable repository.


Note You need to log in before you can comment on or make changes to this bug.